summaryrefslogtreecommitdiffstats
path: root/webkit
diff options
context:
space:
mode:
authoragl@chromium.org <agl@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2010-04-26 14:29:09 +0000
committeragl@chromium.org <agl@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2010-04-26 14:29:09 +0000
commitbf15ea15db6a0391be532f697e30a9e4b8ecb0f9 (patch)
tree548f27279c82962322d365f6fc986bb55f4d6732 /webkit
parent5873652b768c39748adff473098c8d607239436b (diff)
downloadchromium_src-bf15ea15db6a0391be532f697e30a9e4b8ecb0f9.zip
chromium_src-bf15ea15db6a0391be532f697e30a9e4b8ecb0f9.tar.gz
chromium_src-bf15ea15db6a0391be532f697e30a9e4b8ecb0f9.tar.bz2
Add message to rebaseline.sh
The rebaseline tool now works on the upstream test_expectations.txt. If someone adds a REBASELINE tag to the local version we'll now print a (hopefully) helpful message telling them what's up. git-svn-id: svn://svn.chromium.org/chrome/trunk/src@45577 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'webkit')
-rwxr-xr-xwebkit/tools/layout_tests/rebaseline.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/webkit/tools/layout_tests/rebaseline.sh b/webkit/tools/layout_tests/rebaseline.sh
index a00f6ac..a203017 100755
--- a/webkit/tools/layout_tests/rebaseline.sh
+++ b/webkit/tools/layout_tests/rebaseline.sh
@@ -6,6 +6,21 @@
exec_dir=$(dirname $0)
+if grep -q REBASELINE $exec_dir/test_expectations.txt ; then
+ echo "test_expectations.txt has been moved upstream! The test_expectations.txt"
+ echo "here is just a set of local overrides. You have to put the REBASELINE "
+ echo "tags in the upstream version and commit the new baselines into the WebKit"
+ echo "tree."
+ echo
+ echo "Try:"
+ echo "cd ../../../third_party/WebKit"
+ echo "\$EDITOR LayoutTests/platform/chromium/test_expectations.txt"
+ echo "./WebKitTools/Scripts/rebaseline-chromium-webkit-tests"
+ echo
+ echo "See also https://trac.webkit.org/wiki/Rebaseline"
+ exit 1
+fi
+
PYTHON_PROG=python
"$PYTHON_PROG" "$exec_dir/../../../third_party/WebKit/WebKitTools/Scripts/rebaseline-chromium-webkit-tests" "$@"